Pasukan
GET https://mybotsy.com/api/teams/
curl --request GET \
--url 'https://mybotsy.com/api/teams/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://mybotsy.com/api/teams/' \
--header 'Authorization: Bearer {api_key}' \
| Parameter | Butiran | Penerangan |
|---|---|---|
| search | Pilihan rentetan | Rentetan carian |
| search_by | Pilihan rentetan | Apakah bidang yang anda cari. Nilai yang dibenarkan ialah: name. |
| datetime_field | Pilihan rentetan | Nilai yang dibenarkan: datetime, last_datetime |
| datetime_start | Pilihan rentetan | Tapis hasil bermula dari tarikh ini. Format Ymd H:i:s . |
| datetime_end | Pilihan rentetan | Tapis keputusan sehingga tarikh ini. Format Ymd H:i:s . |
| order_by | Pilihan rentetan | Apa bidang untuk memesan keputusan oleh. Nilai yang dibenarkan ialah: team_id, datetime, last_datetime, name. |
| order_type | Pilihan rentetan | Susunan keputusan. Nilai yang dibenarkan ialah: ASC untuk susunan menaik dan DESC untuk susunan menurun. |
| page | Pilihan Integer | Nombor halaman yang anda mahu hasilkan. Lalai kepada 1 . |
| results_per_page | Pilihan Integer | Berapa banyak hasil yang anda inginkan setiap halaman. Nilai yang dibenarkan ialah: 10, 25, 50, 100, 250, 500, 1000. Lalai kepada 25 . |
{
"data": [
{
"id": 1,
"user_id": 1,
"name": "Example team",
"team_members": [
{
"team_member_id": 1,
"user_email": "hello@example.com",
"access": {
"read": true,
"create": true,
"update": true,
"delete": false
},
"status": 1,
"datetime": "2026-10-30 23:29:54",
"last_datetime": null
}
],
"last_datetime": null,
"datetime": "2026-10-30 23:29:54"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://mybotsy.com/api/teams?page=1",
"last": "https://mybotsy.com/api/teams?page=1",
"next": null,
"prev": null,
"self": "https://mybotsy.com/api/teams?page=1"
}
}
GET https://mybotsy.com/api/teams/{team_id}
curl --request GET \
--url 'https://mybotsy.com/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://mybotsy.com/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"name": "Example team",
"team_members": [
{
"team_member_id": 1,
"user_email": "hello@example.com",
"access": {
"read": true,
"create": true,
"update": true,
"delete": false
},
"status": 1,
"datetime": "2026-10-30 23:29:54",
"last_datetime": null
}
],
"last_datetime": null,
"datetime": "2026-10-30 23:29:54"
}
}
POST https://mybotsy.com/api/teams
| Parameter | Butiran | Penerangan |
|---|---|---|
| name | Diperlukan rentetan | - |
curl --request POST \
--url 'https://mybotsy.com/api/teams' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=My team' \
--url 'https://mybotsy.com/api/teams' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=My team' \
{
"data": {
"id": 1,
"user_id": 1,
"name": "My team",
"team_members": [],
"last_datetime": null,
"datetime": "2026-10-30 23:29:54"
}
}
POST https://mybotsy.com/api/teams/{team_id}
| Parameter | Butiran | Penerangan |
|---|---|---|
| name | Pilihan rentetan | - |
curl --request POST \
--url 'https://mybotsy.com/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=My new team name' \
--url 'https://mybotsy.com/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=My new team name' \
{
"data": {
"id": 1,
"user_id": 1,
"name": "My new team name",
"team_members": [
{
"team_member_id": 1,
"user_email": "hello@example.com",
"access": {
"read": true,
"create": true,
"update": true,
"delete": false
},
"status": 1,
"datetime": "2026-10-30 23:29:54",
"last_datetime": null
}
],
"last_datetime": "2026-10-30 23:29:54",
"datetime": "2026-10-30 23:29:54"
}
}
DELETE https://mybotsy.com/api/teams/{team_id}
curl --request DELETE \
--url 'https://mybotsy.com/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://mybotsy.com/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \